/* This file has gone through a lot of shit and I think it'd appreciate it if you didn't comment on it. */
body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background-color: #000000;
    max-width: 100%;
    overflow-x: hidden;
    max-height: 100%;
    overflow-y: hidden;
}

* {
    image-rendering: pixelated;
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
}

.ZOOMBACKIN {
    display: none;
    margin: auto;
    position: absolute;
    font-size: 150%;
    transform: translate(14px, -200%);
    opacity: 25%;

    color: white;
}

.middleContainer {
    margin: auto;
    width: 528px;
    height: 525px;
    position: relative;
}

.borderImage {
    transform: translate(-12px, -14px);
}

.profileContainer {
    position: absolute;
    top: 2%;
    left: 41%;
    transform: translate(-50%, -50%);
}

.profilePicture {
    position: absolute;
    transform-origin: center;

    /*border-radius: 100%;
    outline-width: 1px;
    outline-color: rgb(255, 255, 255);
    outline-style: solid;*/
}

.ermIntroMaybePotentiallyQuestionMark {
    color: #FFFFFF;
    position: absolute;

    top: 40%;
    left: 5%;
    width: 90%;
    font-size: 17px;
}

.centrino {
    position: absolute;

    top: 50%;
    left: 50%;
}

.middleArea {
    color: #FFFFFF;
    position: absolute;
    top: 30%;
    left: 47%;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.spacer {
    position: absolute;

    left: 4%;
    top: 175px;
}

.buttonContainer {
    position: absolute;
    top: 25%;
    left: 50%;
    transform: translate(-50%, -50%);

    height: 128px;
    width: 256px;

    display: flex;
    align-items: center;
    justify-content: center;

    gap: 25px;
}

.buttonImage {
    height: 100%;
    width: 100%;
}

.centeredImageBox {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.addFriendButton {
    position: absolute;
    top: 50%;
    left: 50%;

    text-align: center;
    width: 121px;
}

.funnyContainerContainer {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-48%, 440%);
}

.funny {
    position: absolute;

    top: 5px;
    left: 5px;
}

.spotifyImageBorder {
    position: absolute;
    background-color:#00000000;
    top: 27px;
    left: 27px;
    width: 128px;
    height: 128px;
    border-width: 1px;
    border-style: solid;
    border-color:white;
    image-rendering:auto;
}

.progressBarSpotifyCurrentSongOhYeah {
    position: absolute;
    width: 200px;
    height: 1%;
    top: 27px;
    left: 170px;
    border-style: solid;
    border-width: 1px;
    border-color: white;
}

.progressBarSpotifyCurrentSongOhYeahBall {
    position: relative;
    background-color: white;
    height: 100%;
    width: 0%;
}

.holderholderholderholder {
    position: absolute;
    color: #FFFFFF;
    top: 44px;
    overflow-wrap: break-word;
    left: 175px;
    text-align: left;
    font-size: large;
    width: 190px;
}

.wplaceSide {
    position: absolute;
    left: 14px;

    bottom: 14px;
}

.wplaceTextContainer {
    overflow: hidden;
    
    position: absolute;
    background-color: #00000000;

    width: 354px;

    left: 34px;
    top: 117px;
}

input[type=text] {
  width: 150px;
  padding: 4px 4px;
  margin: 8px 0;
  box-sizing: border-box;
  border: 1px solid #aaaaaa;
  background-color: #000000;
  outline: none;
  color: #ffffff;
}

input[type=text]:focus {
  background-color: #111111;
}

.wplaceButton {
    position: absolute;
    text-align: center;
    width: 70px;
    height: 25px;
    left: 370px;
    bottom: 1px;
    background-color: #000000;
    border-radius: 0px;
    border-style: solid;
    border-width: 1px;
    border-color: #aaaaaa;
}

.wplaceButton:hover {
    background-color: #1f1f1f;
}

.wplaceButton:active {
    background-color: #111111;
}

.wplaceMessage {
    opacity: 80%;
    z-index: 0;
}

.wplaceMessage:hover {
    opacity: 100%;
}
